Bug 1281948 - Review Request: rack - RackSpace Cloud CLI tool
Review Request: rack - RackSpace Cloud CLI tool
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2015-11-13 16:43 EST by Steven Soulen
Modified: 2016-01-20 16:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Soulen 2015-11-13 16:43:30 EST
Spec URL: http://ntp.soulen.net/rack.spec
SRPM URL: http://ntp.soulen.net/rack-1.0.1-0.src.rpm
Description: The Rackspace Command Line Interface is a unified tool to manage Rackspace Cloud services. It provides streamlined and secure configuration as well as a single point of entry for all Rackspace Cloud services.

Fedora Account System Username:soulen

*Please note this is my first package submission and I need a sponsor.

Koji Links:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11824327
http://koji.fedoraproject.org/koji/taskinfo?taskID=11824336
http://koji.fedoraproject.org/koji/taskinfo?taskID=11824391
Comment 1 Upstream Release Monitoring 2016-01-06 17:32:16 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440921
Comment 2 Upstream Release Monitoring 2016-01-06 17:35:11 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440949
Comment 3 Upstream Release Monitoring 2016-01-06 17:36:33 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440953
Comment 4 Upstream Release Monitoring 2016-01-06 17:38:13 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440957
Comment 5 Upstream Release Monitoring 2016-01-06 17:43:30 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440963
Comment 6 Upstream Release Monitoring 2016-01-06 17:53:22 EST
soulen's scratch build of rack-1.0.1-0.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12440986
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-01-20 16:23:25 EST
Remove "The" from the Summary, it looks better in listings without.

Why is debug package disabled? There should at least be a comment
in the spec file explaining the reason.

%description should be reflowed to 72 columns, and expanded a bit
to describe what the package actually does. It also has too many
buzzwords.

%setup -qn %{name}-%{version} → %autosetup
(-n %{name}-%{version} is the default, no need to specify it)

%{_builddir} should not be necessary. %build is executed in the unpackaged source directory, so only relative paths should be necessary.

%clean section is not needed [https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean].

%license should be used for the LICENSE file [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text].

Note You need to log in before you can comment on or make changes to this bug.